# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit git-r3 autotools toolchain-funcs usr-ldscript

DESCRIPTION="Minimalistic netlink library"
HOMEPAGE="https://netfilter.org/projects/libmnl/"
EGIT_REPO_URI="git://git.netfilter.org/libmnl.git"

LICENSE="LGPL-2.1"
SLOT="0/0.2.0"
KEYWORDS=""
IUSE="examples static-libs"

src_unpack() {
	git-r3_src_unpack
}

src_prepare(){
	default
	eautoreconf
}

src_configure() {
	econf $(use_enable static-libs static)
}

src_install() {
	default

	gen_usr_ldscript -a mnl

	find "${D}" -name '*.la' -delete || die

	if use examples; then
		find examples/ -name 'Makefile*' -delete || die
		dodoc -r examples/
		docompress -x /usr/share/doc/${PF}/examples
	fi
}
